<Input::ComponentSelectorBg @value={{this.type}} @onChange={{this.typeChanged}} />

{{#if (and this.isReady this.type)}}
  {{component (concat "editor/" this.type) value=this.value onChange=this.dataChanged deviceSize=@deviceSize onDeviceSizeChange=@onDeviceSizeChange isSimple=@isSimple page=@page space=@space}}
{{/if}}